library(ggplot2)
library(tidyr)
#faili sisselugemine ja andmete formaadi korrigeerimine
J237=read.csv2("PT2-T2.3-J2.3.7.csv", encoding ="UTF-8")
J237x=J237[1:3,]
J237y=J237[5:7,]
J237z=J237[9:11,]

names(J237x)=names(J237)
names(J237y)=names(J237)
names(J237z)=names(J237)

J237x=pivot_longer(J237x,2:5)
J237y=pivot_longer(J237y,2:5)
J237z=pivot_longer(J237z,2:5)
J237=cbind(J237x,J237y$value,J237z$value)
names(J237)[4:5]=c("high","low")

J237$value=as.numeric(J237$value)
J237$low=as.numeric(J237$low)
J237$high=as.numeric(J237$high)

J237$X=as.factor(J237$X)
J237$X=factor(J237$X,levels(J237$X)[order(c(3,1,2))])
J237$name=as.factor(J237$name)
J237$name=factor(J237$name,levels(J237$name)[order(c(3,1,4,2))])

#joonis
ggplot(J237,aes(x=name,y=value))+
  facet_grid(X~.,labeller = label_wrap_gen())+
  geom_point(aes(col=name),cex=3)+
  geom_label(aes(label=value,col=name,y=value-low-0.3),size=3)+
  geom_errorbar(aes(x=name,ymin=value-low,ymax=value+high,col=name),width=0.2,linewidth=0.9)+
  geom_abline(slope=0,intercept=1,linewidth=0.3)+
  theme_minimal()+
  coord_flip()+
  theme(strip.text.y = element_text(angle = 360),legend.position = "none")+
  ylab("")+
  xlab("")+
  scale_y_continuous(limits=c(0,7),breaks=seq(0,7,0.5))+
  theme(text = element_text(color="#668080"),axis.text=element_text(color="#668080"))+
  scale_color_manual(values=c("#6666cc","#f09d00","#FF3600","#668080"))












